Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84463 - tun oops in 2.4.20-2.48
Summary: tun oops in 2.4.20-2.48
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-17 19:18 UTC by Jeremy Katz
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-11 19:39:59 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2003-02-17 19:18:51 UTC
Was using vpnc due to unhappiness with cipe over the weekend and got the
following oops from the tun code

general protection fault: 3cfc
tun cmpci soundcore parport_pc lp parport nfsd lockd sunrpc iptable_filter
ip_tables cipcb tulip sg sr_mod cdrom loop keybdev mousedev hid input usb-uhci usbc
CPU:    0
EIP:    0060:[<ca5515f7>]    Not tainted
EFLAGS: 00010282
                                                                                
EIP is at ___strtok_R29805c13 [] 0xa17ff7b (2.4.20-2.48)
eax: e045e02a   ebx: ca5515c0   ecx: d0d76080   edx: ca5515c0
esi: dd5f97d0   edi: d9b87b00   ebp: 00000068   esp: dd035da4
ds: 0068   es: 0068   ss: 0068
Process vpnc (pid: 3622, stackpage=dd035000)
Stack: 00000068 00c03cfe c0207db8 ca5515c0 dd5f97d0 00000000 00000068 00000000
       0207926f 00000020 00000040 c567da40 fffffff3 00000068 00000000 fce9bb42
       c02213eb ca5515c0 c0221100 dd035e2c 00000068 dd035e3c d0d76080 00000000
Call Trace:   [<c0207db8>] ip_build_xmit [kernel] 0x26c (0xdd035dac))
[<c02213eb>] raw_sendmsg [kernel] 0x20f (0xdd035de4))
[<c0221100>] raw_getrawfrag [kernel] 0x0 (0xdd035dec))
[<c0229612>] inet_sendmsg [kernel] 0x42 (0xdd035e5c))
[<c01e78c4>] sock_sendmsg [kernel] 0x78 (0xdd035e70))
[<c01e88df>] sys_sendto [kernel] 0xe3 (0xdd035eb4))
[<c019c878>] account_io_end [kernel] 0x2c (0xdd035eec))
[<c01c3291>] start_request [kernel] 0x1c5 (0xdd035f04))
[<c01c33fa>] ide_do_request [kernel] 0xa6 (0xdd035f40))
[<c01ca7b0>] ide_dma_intr [kernel] 0x0 (0xdd035f6c))
[<c01e9219>] sys_socketcall [kernel] 0x18d (0xdd035f80))
[<c01093b3>] system_call [kernel] 0x33 (0xdd035fc0))
                                                                                
Code: ca ff ff 00 00 b0 e6 ee d3 00 00 00 00 00 00 00 00 08 16 55
 <1>Unable to handle kernel NULL pointer dereference at virtual address 000000d0
printing eip:
c01ffc90
*pde = 00000000
Oops: 0000
tun cmpci soundcore parport_pc lp parport nfsd lockd sunrpc iptable_filter
ip_tables cipcb tulip sg sr_mod cdrom loop keybdev mousedev hid input usb-uhci usbc
CPU:    0
EIP:    0060:[<c01ffc90>]    Not tainted
EFLAGS: 00010206
                                                                                
EIP is at rt_run_flush [kernel] 0x60 (2.4.20-2.48)
eax: 00000000   ebx: 000000c0   ecx: 00000b5f   edx: 000000c0
esi: 00000ace   edi: 00000002   ebp: da5b1c40   esp: dd035c4c
ds: 0068   es: 0068   ss: 0068
Process vpnc (pid: 3622, stackpage=dd035000)
Stack: d0d76080 dde0bc24 dde0bc24 c022c08b 00000000 dde0bc24 00000000 c03419e0
       c022c1b7 dde0bc24 00000000 c03419e0 dde0bc24 c0127bdd c03419e0 00000002
       dde0bc24 dde0bc24 dde0bc24 cad94540 c01ef065 c033f280 00000002 dde0bc24
Call Trace:   [<c022c08b>] fib_disable_ip [kernel] 0x33 (0xdd035c58))
[<c022c1b7>] fib_netdev_event [kernel] 0x97 (0xdd035c6c))
[<c0127bdd>] notifier_call_chain [kernel] 0x31 (0xdd035c80))
[<c01ef065>] dev_close [kernel] 0xad (0xdd035c9c))
[<e0a0aa09>] tun_chr_close [tun] 0xb9 (0xdd035cb4))
[<c0144b32>] fput [kernel] 0x102 (0xdd035ccc))
[<c01431dd>] filp_close [kernel] 0x4d (0xdd035ce8))
[<c011e28c>] put_files_struct [kernel] 0x6c (0xdd035d00))
[<c011e960>] do_exit [kernel] 0x100 (0xdd035d1c))
[<c0109e24>] do_general_protection [kernel] 0x0 (0xdd035d30))
[<c0109a70>] do_divide_error [kernel] 0x0 (0xdd035d38))
[<c0109e75>] do_general_protection [kernel] 0x51 (0xdd035d4c))
[<c01094a4>] error_code [kernel] 0x34 (0xdd035d64))
[<c0207db8>] ip_build_xmit [kernel] 0x26c (0xdd035dac))
[<c02213eb>] raw_sendmsg [kernel] 0x20f (0xdd035de4))
[<c0221100>] raw_getrawfrag [kernel] 0x0 (0xdd035dec))
[<c0229612>] inet_sendmsg [kernel] 0x42 (0xdd035e5c))
[<c01e78c4>] sock_sendmsg [kernel] 0x78 (0xdd035e70))
[<c01e88df>] sys_sendto [kernel] 0xe3 (0xdd035eb4))
[<c019c878>] account_io_end [kernel] 0x2c (0xdd035eec))
[<c01c3291>] start_request [kernel] 0x1c5 (0xdd035f04))
[<c01c33fa>] ide_do_request [kernel] 0xa6 (0xdd035f40))
[<c01ca7b0>] ide_dma_intr [kernel] 0x0 (0xdd035f6c))
[<c01e9219>] sys_socketcall [kernel] 0x18d (0xdd035f80))
[<c01093b3>] system_call [kernel] 0x33 (0xdd035fc0))
                                                                                
                                                                                
Code: 83 7a 10 01 8b 1a 7e 0d 85 db 89 da 75 f2 4e 79 af 58 5b 5e

Comment 1 Jeremy Katz 2004-05-11 19:39:59 UTC
Haven't seen this in ages.


Note You need to log in before you can comment on or make changes to this bug.